Loading...

Knowledge Center


Supported platforms, environments, and operating systems for Host Intrusion Prevention 8.0
Technical Articles ID:   KB70778
Last Modified:  9/15/2016
Rated:


Environment

McAfee Host Intrusion Prevention (Host IPS) 8.0

Summary

Product Release Information

WARNING:
Host IPS 8.0 Patch 7 and earlier are NOT compatible with Microsoft Windows 10 Anniversary Edition. Support for Windows 10 Anniversary Edition is included in Host IPS 8.0 Patch 8. DO NOT install Host IPS 8.0 Patch 7 or earlier on systems running Windows 10 Anniversary Edition. Likewise, DO NOT upgrade systems running Host IPS 8.0 Patch 7 or earlier to Windows 10 Anniversary Edition.

McAfee product software, upgrades, maintenance releases, and documentation are available from the Product Downloads site at: http://www.mcafee.com/us/downloads/downloads.aspx.

NOTE:
 You will need a valid Grant Number for access. KB56057 provides additional information about the Product Downloads site, as well as alternate locations for some products.

 
Host IPS 8.0 Patch 5, Patch 6, and Patch 7 for Windows, Hotfix 1121080
 
Host IPS 8.0 for Windows
Build#
Article#
Host IPS 8.0 Patch 8 8.0.0.3828 PD26623
Host IPS 8.0, Hotfix 1153407 (for Patch 5, Patch 6, and Patch 7)

IMPORTANT: Hotfix 1153407 is a mandatory release for systems using Host IPS 8.0 Patch 5, Patch 6, and Patch 7.
P7 8.0.0.3800
P6 8.0.0.3500
P5 8.0.0.3250
PD26680
Host IPS 8.0 Patch 7, Hotfix 1121080 8.0.0.3730 PD26455
Host IPS 8.0 Patch 7, Hotfix 1116123 8.0.0.3642 KB86154
Host IPS 8.0 Patch 7 8.0.0.3624 KB86116
Host IPS 8.0 Patch 6, Hotfix 1059145 8.0.0.3409 PD26139
Host IPS 8.0 Patch 6 8.0.0.3363 KB84853
8.0 Patch 5
8.0.0.3203
8.0 Patch 4 Hotfix 952227
8.0.0.3122
8.0 Patch 4 Hotfix 981275
8.0.0.3082
8.0 Patch 4 Hotfix 913276
8.0.0.2970
8.0 Patch 4 Hotfix 923579
8.0.0.2964
8.0 Patch 4 Hotfix 917046
8.0.0.2935
8.0 Patch 4 Hotfix 927324 
8.0.0.2933
8.0 Patch 4
8.0.0.2919
8.0 Patch 3 (Windows 8 and 2012 only)
8.0.0.2589
8.0 Patch 2 Hotfix 843301
8.0.0.2588
8.0 Patch 2 Hotfix Rollup 803520
8.0.0.2482
8.0 Patch 2 Hotfix 791162
(For a security vulnerability fix, see SB10034.)
8.0.0.2239
8.0 Patch 2 Hotfix 771202
8.0.0.2198
8.0 Patch 2
8.0.0.2151
8.0 Pre-Patch 2 Hotfix 833271 
(For information on an issue that occurs when upgrading to Patch 2, see KB76593.)
8.0.0.2481
8.0 Patch 1 Hotfix 712198
8.0.0.1981
8.0 Patch 1 Hotfix 688393
8.0.0.1955
8.0 Patch 1 Hotfix 682442
8.0.0.1925
8.0 Patch 1
8.0.0.1919
8.0 Hotfix 660568
8.0.0.1829
8.0 RTW
8.0.0.1741
 
 
Host IPS 8.x for Linux
Build#
Article#
Host IPS 8.0 Patch 9 8.0.0.3881 PD26688
Host IPS 8.0 Patch 8 8.0.0.3758 KB87068
Host IPS 8.0 Patch 7 8.0.0.3532 KB85987
Host IPS 8.0 Patch 6 8.0.0.3369 KB85128
Linux 8.0.0 Patch 5
8.0.0.3213
Linux 8.0.0 P4 Hotfix 966320 
This release supports Red Hat 6 operating systems only. Other Linux versions use HF982196.
8.0.0.3072
Linux 8.0.0 P4 Hotfix 982196 
This HF does not support Red Hat 6. Use HF966320. 
8.0.0.3031
Linux 8.0.0 P4 update for Red Hat 6.5 
 8.0.0.2989
Linux 8.0.0 Patch 4
 8.0.0.2923
Linux 8.0.0 Patch 2 & 3
 8.0.0.2151
Linux 8.0.0 (Red Hat 6)
 8.0.0.1919
Linux 8.0.0 update #1
 8.0.0.1776
Linux 8.0.0 RTW
 8.0.0.1741
 
Host IPS 8.0 for Solaris
Build#
Article#
Solaris 8.0 RTW
 8.0.0.1741
Solaris 8.0 Patch 2 & 3
8.0.0.2535
Solaris 8.0 Patch 4
8.0.0.2919
Solaris 8.0 Patch 5
8.0.0.3213
Host IPS 8.0 Patch 6 for Solaris - expected RTW Q2 2016 N/A N/A

 
ePolicy Orchestrator (ePO) 5.x Host IPS 8.0 Extension
Build#
Known Issues Article#
Host IPS 8.0 Extension for Endpoint for Mac 2.0
8.0.3.762
Host IPS 8.0 Extension for ePO 5.1 (509) and later
8.0.4.838
Host IPS 8.0 Extension for ePO, Hotfix 947357 (with Windows client HF917046) 
8.0.4.860
Host IPS 8.0 Extension for ePO 5.1, Hotfix 1036309
8.0.5.924
Host IPS 8.0 Extension for ePO 5.x, Patch 5
8.0.5.924 (Patch 5)
Host IPS 8.0 Extension for ePO 5.x, Patch 6 1 8.0.6.978 (Patch 6) KB84853
Host IPS 8.0 Extension for ePO 5.x, Patch 7 1 8.0.7.1001 (Patch 7) KB86116
Host IPS 8.0 Extension for ePO 5.x, Patch 8 1 8.0.8.1082 (Patch 8) KB87676
 
1 Host IPS 8.0 Extension 8.0.6.978 or later must be used with ePO Server 5.1.3 and ePO Server 5.3.1 and later versions. For details, see PD25972.  The Host IPS 8.0 Extension 8.0.6.978 can be installed on other supported ePO 4.x and 5.x server versions, but specifically for ePO 5.1.3/5.3.1, you must use the 8.0.6.978 extension. ePO 5.1.3/5.3.1 do not support any Host IPS extension versions prior to 8.0.6.978.
NOTES:
  • ePO 4.5, 4.6, and 5.0 have reached End of Life and are no longer supported.
    For product lifecycle details, see the McAfee Product and Technology Support Lifecycle page at: http://www.mcafee.com/us/support/support-eol.aspx.

    For EOL policy details, see the Enterprise Products End of Life Policy at: http://www.mcafee.com/common/media/mcafeeb2b/support/terms/Support_Policy-Product_Support_EOL.pdf.


    Definitions
    End of Life Period  The timeframe that runs from the day Intel Security announces product discontinuation until the last date that the product is formally supported by Intel Security. In general, after the EOL Period is announced, no enhancements are made.
    End of Life Date  The last day that the product is supported according the terms of the Intel Security standard support offering.
     
  • To request support for operating systems not listed in this article, submit a Product Enhancement Request. 
    If you require a change to product functionality, submit a new product idea at:

    https://www51.v1ideas.com/IntelIdeas/ISecGForum

    For more information on product ideas, see KB60021.

    NOTE: The Ideas forum replaces the previous Product Enhancement Request system.

Microsoft Windows - Supported WORKSTATION operating systems with Host IPS 8.0 for Windows
 
Operating System
Microsoft
Service Packs
Host IPS 8.0
Windows 10, Windows 10 Update1 (TH2)  - Y (P6)
Windows 8.1 August 2014 Update 2 Rollup  - Y
Windows 8.1, Update 1 2
 - Y
Windows 8.1 2
 - Y
Windows 8.0 1
 - Y
Windows 7 (32-bit)
Professional, Enterprise, and Ultimate Editions
1
Y
Windows 7 (64-bit)
Professional, Enterprise, and Ultimate Editions
1
Y
Windows Embedded Standard 7 (32-bit) 3
1
Y (P2+)
Windows Embedded Standard 7 (64-bit)3
1
Y (P2+)
Windows Vista (32-bit)
Business, Enterprise, and Ultimate Editions
1, 2
Y
Windows Vista (64-bit)
Business, Enterprise, and Ultimate Editions
1, 2
Y

 
1 Added in Host IPS 8.0 Patch 3. For details, see KB75919.
2 Added in Host IPS 8.0 Patch 4. For details, see KB78494. Windows 8.1+ requires a McAfee Agent version of 4.8 Patch 1 to be supported.
3 The Windows Embedded Enterprise family of products includes full versions of the following operating systems, licensed for embedded use:
  • Windows 7 Professional for Embedded Systems
  • Windows 7 Ultimate for Embedded Systems
  • Windows Vista Business for Embedded Systems
  • Windows Vista Ultimate for Embedded Systems
  • Windows XP Professional for Embedded Systems
Microsoft ended extended support for Windows XP SP3 on April 8, 2014. As of the end of 2015, the only McAfee product supported with Windows XP SP3 is Application and Change Control. See KB78434 for details.

Microsoft Windows - Supported SERVER operating systems with Host IPS 8.0 for Windows
 
Operating System
Microsoft
Service Packs
Host IPS 8.0
Windows Server 2012 R2, August 2014 Update 2 rollup 2 - Y
Windows Server 2012 R2, Update 1 2 - Y
Windows Server 2012 R2 2 - Y
Windows Server 2012 1 - Y
Windows Server 2008 R2 (64-bit)
1
Y
Windows Server 2008 (32-bit)
1, 2
Y
Windows Server 2008 (64-bit)
1, 2
Y
 
1 Added in Host IPS 8.0 Patch 3. For details, see KB75919.
2 Added in Host IPS 8.0 Patch 4. For details, see KB78494.

NOTE: IIS, Apache, and SQL support is limited to server-type operating systems, per the Host IPS for Server system requirements: http://www.mcafee.com/us/products/host-ips-for-server.aspx#vt=vtab-Requirements.

Microsoft ended extended support for Windows Server 2003 SP2 on July 14, 2015. As of the end of 2015, the only McAfee product supported with Windows Server 2003 SP2 is Application and Change Control. See KB81563 for details. 

Supported and Verified Virtualization Platforms
The following virtualization platforms have been tested and verified with Host IPS 8.0:
Product Versions
Amazon Web Services3  
Citrix XenServer 5.0, 5.5
Citrix XenDesktop 3.0, 4.0, 7.52, 7.62
Citrix XenApp 5.0, 6.0, 6.51
Citrix Provisioning Services 6.11
Microsoft App-V 4.5, 4.6
Microsoft Hyper-V Server 2008, 2008 R2
Microsoft Windows Server 2008 Hyper-V 2008, 2008 R2, 2012 R21
Microsoft VDI (Bundle)  n/a
MED-V 1.0, 1.0 SP1
Oracle Virtualization2 3  
SCVMM 2008, 2008 R2
SCCM 2007 SP2, 2007 R2
SCOM 2007, 2007 R2
VMware ACE 2.5, 2.6
VMware ESX 3.5, 4.0, 5.01
VMware ESXi 5.1
VMware Player 2.5, 3.0, 5.01
VMware Server 1.0, 2.0
VMware Thin App 4.0, 4.5
VMware Vsphere 4.0
VMware View 4 3.1, 4.0
VMware Workstation 6.5, 7.0, 8.01, 9.01
XP Mode Windows 7 32-bit and 64-bit

1 Denotes updated virtualization support for Host IPS 8.0 requires Patch 4. See KB78494 for known issues, and PD25043 for Release Notes.
2 Denotes updated virtualization support for Host IPS 8.0 requires Patch 5. See KB81392 for known issues, and PD25947 for Release Notes.
3 Denotes paravirtualization (PV) support in Amazon Web Services (AWS) or Oracle Virtualization environments for Host IPS 8.0 for Linux requires Patch 6. See KB85128 for known issues, and PD26030 for Release Notes. 
 Host IPS 8.0 for Linux or Host IPS 8.0 for Windows will be supported on virtualized platforms only if all of the following conditions are met:
  • The VM runs a standard supported version of the operating system as listed in KB70778.
  • Amazon Web Services (AWS) and Oracle Virtualization environments use Hardware Virtual Machine (HVM).
If you encounter issues with a virtualization platform product version that is not on the list, do the following:
  1. Document the virtualization platform product version, hardware used (if applicable), and the issue you are experiencing.
  2. Submit a Product Enhancement Request (PER). See KB60021 for instructions.
  3. After receiving a notification email with the PER ID and status, contact Technical Support.

    For Technical Support contact details:
    Go to http://www.mcafee.com/us/about/contact-us.aspx#ht=tab-techsupport and select your country from the drop-down list.

    Alternatively
    :
    Log in to the ServicePortal at https://support.mcafee.com:
    • If you are a registered user, type your User Id and Password, and click Log In.
    • If you are not a registered user, click Register and complete the required fields. Your password and login instructions will be emailed to you.

     
    1. Inform the agent that you are requesting a Service Request (SR) for Host IPS 8.0.
    2. Inform the agent of the PER ID and reference KB60021. Both are required for the SR.
 
 

Virtual Private Network (VPN) client software compatibility with Host IPS 8.0
Intel Security Host IPS 8.0 software adheres to the protocol standards.

Most VPN client software functions with the Host IPS 8.0 software; however, Intel Security is unable to test every VPN client software version and vendor. If you encounter specific issues with a VPN client, first determine if the issue is a Host IPS 8.0 firewall policy or VPN Client configuration related. For additional information, see KB67055 - How to troubleshoot a network facing application, or traffic is blocked by Host Intrusion Prevention firewall.

If the issue cannot be resolved through policy or configuration for either the VPN product or Host IPS 8.0, do the following:
  1. Document the VPN and version, hardware used, and the issue you are experiencing.
  2. Contact Technical Support. See the Related Information section for contact details.
  3. Inform the agent that you are requesting a Service Request (SR) for Host IPS 8.0 and VPN Client software.

    NOTE: You may be required to provide a copy of the VPN Client software, security token(s) and access to the VPN Access point.  

Windows - Supported web servers with Host IPS 8.0 for Windows
 
Host IPS 8.0 Patch 2 supports IIS 6, 7, and 7.5 only
Host IPS 8.0 Patch 3 supports IIS 8 only
Host IPS 8.0 Patch 4 supports IIS 6, 7, 7.5, 8, and 8.5
 
 
Windows - SQL servers with Host IPS 8.0 for Windows
 
SQL 2005 RTM (2005.90.1399) 32-bit and 64-bit
SQL 2005 Hotfix 932557 (2005.90.1406) 32-bit and 64-bit
SQL 2005 SP1 (2005.90.2047) 32-bit and 64-bit
SQL 2005 SP2 (2005.90.3042) 32-bit and 64-bit
SQL 2005 SP3 (2005.90.4035) 32-bit and 64-bit
SQL 2005 SP4 (2005.90.5000) 32-bit and 64-bit
SQL 2005 SP4 CU1 (2005.90.5254) 32-bit and 64-bit
SQL 2005 SP4 CU2 (2005.90.5259) 32-bit and 64-bit
SQL 2005 SP4 CU3 (2005.90.5266) 32-bit and 64-bit
SQL 2008 RTM (2007.100.1600) 32-bit and 64-bit
SQL 2008 SP1 (2007.100.2531) 32-bit and 64-bit
SQL 2008 SP2 (2007.100.4000) 32-bit and 64-bit
SQL 2008 R2 RTM (2009.100.1600) 32-bit and 64-bit
SQL 2008 R2 MS11-049 (2009.100.1617) 32-bit and 64-bit
SQL 2008 R2 SP1 (2009.100.2500) 32-bit and 64-bit
SQL 2012 RTM (2011.110.1600) 32-bit and 64-bit
SQL 2012 CU1 (2011.110.2316) 32-bit and 64-bit
SQL 2012 SP1 (2011.110.3000) 32-bit and 64-bit
SQL 2012 CU1 SP1 (2011.110.3321) 32-bit and 64-bit
 
 NOTE: For additional information on supported SQL Server versions, see KB65845.
 

Linux - Supported operating systems with Host IPS 8.0 for Linux 
 
SUSE Linux
Enterprise version

(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
12 SP1  Patch 8 8.0.0.3758
12  (HVM & PV)  Patch 7 2 8.0.0.3532
11 SP2, SP3, SP4 (HVM & PV)  Patch 7 2 8.0.0.3532
11 SP1 
Patch 4, 5, & Patch 6 1
8.0.0.2919
11

RTW - Patch 3

8.0.0.1741
10 SP3 up to SP4 Patch 4 8.0.0.2919
10 up to SP2 RTW 8.0.0.1741
 
 
Red Hat
Enterprise version

(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
7.0, 7.1, 7.2 (*HVM only) Patch 7 2 8.0.0.3532
6.8 Patch 8 1 8.0.0.3758
6.7 Patch 6 1 8.0.0.3369
6.6 Patch 5, Patch 6 1 8.0.0.3213
6.5
Hotfix 966320, Patch 5 & Patch 6 1
8.0.0.3072
6.3 to 6.4

Patch 4, 5 & Patch 6 1

8.0.0.2919
6.0 to 6.2

Patch 4, 5 & Patch 6 1

8.0.0.2919
5.8 to 5.11 Patch 4, 5 8.0.0.2919
5.0 to 5.7 RTW- Patch 3 8.0.0.1741
4.0 to 4.9 RTW- Patch 3 8.0.0.1741
 
Amazon Linux
(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
2015.09
Patch 8
8.0.0.3758
 
CentOS
(64-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
7.1, 7.2 Patch 9 8.0.0.3881
5.8 to 5.11,
6.0 to 6.7,
7.0
Patch 8
8.0.0.3758


 
SUSE Linux
Enterprise version

(32-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
11 SP1  
Patch 4, 5
8.0.0.2919
11

RTW- Patch 3 

8.0.0.1741
10 SP3 up to SP4 Patch 4, 5 8.0.0.2919
10 up to SP2 RTW- Patch 3 8.0.0.1741
 
Red Hat
Enterprise version

(32-bit)
Minimum Host IPS 8.0 
Patch version
Minimum Host IPS 8.0 
Build version
6.6 Patch 5 8.0.0.3072
6.5  
Hotfix 966320, Patch 5
8.0.0.3072
6.3 to 6.4

Patch 4, 5

8.0.0.2919
6.0 to 6.2 Patch 4, 5 8.0.0.2919
5.8 to 5.11 Patch 4, 5 8.0.0.2919
5.0 to 5.7 RTW- Patch 3 8.0.0.1741
4.0 to 4.9 RTW- Patch 3 8.0.0.1741

NOTE: Host IPS 8.0 for Linux supports 32-bit Linux kernels up to version 3.0.13-0.27 ONLY!
 
1 32-bit architecture is no longer supported on Patch 6 or later.
2 KB85990 - Host IPS 8.0 for Linux, Patch 7 verified 64-bit kernel versions.


Linux - Supported web servers with Host IPS 8.0 for Linux 
 
Apache 1.3.6 and later web server
Apache 2.0.42 and later web server
Apache 2.2.3 and later web server
Apache 2.4.2 and later web server
 


Sun Solaris - Supported operating systems with Host IPS 8.0 for Solaris 
 
Sun SPARC Solaris 9, sun4u (32-bit or 64-bit kernel)
Sun SPARC Solaris 10, sun4u and sun4v (64-bit kernel)


Sun Solaris - Supported web servers with Host IPS 8.0 for Solaris 
 
Apache 1.3.6 and later web server
Apache 2.0.42 and later web server
Apache 2.2.3 and later web server
Sun Java Web Server 6.1
Sun Java Web Server 7.0


ePO - Management (minimum patch version) requirements 
 
ePO 5.0 (Host IPS 8.0 P4+) 1
ePO 5.1.x (Host IPS 8.0 P5+)
ePO 5.3.1 (Host IPS 8.0 P6+)
McAfee Agent 4.8 (Host IPS 8.0 P4+) 1
McAfee Agent 5.0 Windows only (Host IPS 8.0 P4+) 2
McAfee Agent 5.0.1 (Host IPS 8.0 P4+)
McAfee Agent 5.0.2 (Host IPS 8.0 P4+)
 
1 See the Host IPS 8.0 Patch 4 Known Issues (KB78494).
2 See KB82869 for Linux and Solaris, not supported on MA 5.0 by default.

*KB51573 - Supported platforms, environments, and operating systems for Common Management Agent and McAfee Agent 5.x / 4.x
 

Rate this document

Did this article resolve your issue?

Please provide any comments below

Beta Translate with

Select a desired language below to translate this page.

Glossary of Technical Terms


Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.